Ogre::multimap< K, V, P, A > Struct Template Reference

`#include <OgrePrerequisites.h>`

List of all members.

## Public Types

typedef std::multimap< K, V, P, A > | type
typedef std::multimap< K, V, P, A >::iterator | iterator
typedef std::multimap< K, V, P, A >::const_iterator | const_iterator

## Detailed Description

### template<typename K, typename V, typename P = std::less<K>, typename A = STLAllocator<std::pair<const K, V>, GeneralAllocPolicy>>
struct Ogre::multimap< K, V, P, A >

Definition at line 546 of file OgrePrerequisites.h.

## Member Typedef Documentation

template<typename K, typename V, typename P = std::less<K>, typename A = STLAllocator<std::pair<const K, V>, GeneralAllocPolicy>>

typedef std::multimap<K, V, P, A>::const_iterator Ogre::multimap< K, V, P, A >::const_iterator

Definition at line 551 of file OgrePrerequisites.h.

template<typename K, typename V, typename P = std::less<K>, typename A = STLAllocator<std::pair<const K, V>, GeneralAllocPolicy>>

typedef std::multimap<K, V, P, A>::iterator Ogre::multimap< K, V, P, A >::iterator

Definition at line 550 of file OgrePrerequisites.h.

template<typename K, typename V, typename P = std::less<K>, typename A = STLAllocator<std::pair<const K, V>, GeneralAllocPolicy>>

typedef std::multimap<K, V, P, A> Ogre::multimap< K, V, P, A >::type

Definition at line 549 of file OgrePrerequisites.h.

The documentation for this struct was generated from the following file:

- OgrePrerequisites.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:34